Ask Your Question
0

removing and re-installing wine on fedora 20

asked 2014-05-19 17:22:14 -0500

deemyboy gravatar image

updated 2014-05-20 10:10:18 -0500

Ahmad Samir gravatar image

need help re-installing wine

i deleted it because i wanted to have wine-64 bit to run 64 bit windows apps

now when i try to re-install it using this fedora 17 script

yum install alsa-lib-devel.i686 alsa-lib-devel audiofile-devel.i686 audiofile-devel cups-devel.i686 cups-devel dbus-devel.i686 dbus-devel fontconfig-devel.i686 fontconfig-devel freetype.i686 freetype-devel.i686 freetype-devel giflib-devel.i686 giflib-devel lcms-devel.i686 lcms-devel libICE-devel.i686 libICE-devel libjpeg-turbo-devel.i686 libjpeg-turbo-devel libpng-devel.i686 libpng-devel libSM-devel.i686 libSM-devel libusb-devel.i686 libusb-devel libX11-devel.i686 libX11-devel libXau-devel.i686 libXau-devel libXcomposite-devel.i686 libXcomposite-devel libXcursor-devel.i686 libXcursor-devel libXext-devel.i686 libXext-devel libXi-devel.i686 libXi-devel libXinerama-devel.i686 libXinerama-devel libxml2-devel.i686 libxml2-devel libXrandr-devel.i686 libXrandr-devel libXrender-devel.i686 libXrender-devel libxslt-devel.i686 libxslt-devel libXt-devel.i686 libXt-devel libXv-devel.i686 libXv-devel libXxf86vm-devel.i686 libXxf86vm-devel mesa-libGL-devel.i686 mesa-libGL-devel mesa-libGLU-devel.i686 mesa-libGLU-devel ncurses-devel.i686 ncurses-devel openldap-devel.i686 openldap-devel openssl-devel.i686 openssl-devel zlib-devel.i686 pkgconfig sane-backends-devel.i686 sane-backends-devel xorg-x11-proto-devel glibc-devel.i686 prelink fontforge flex bison libstdc++-devel.i686 pulseaudio-libs-devel.i686 gnutls-devel.i686 libgphoto2-devel.i686 openal-soft-devel openal-soft-devel.i686 isdn4k-utils-devel.i686 gsm-devel.i686 samba-winbind libv4l-devel.i686 cups-devel.i686 libtiff-devel.i686 gstreamer-devel.i686 gstreamer-plugins-base-devel.i686 gettext-devel.i686 libmpg123-devel.i686

this is the all of the output during install

Loaded plugins: langpacks, refresh-packagekit
Package freetype-2.5.0-5.fc20.i686 already installed and latest version
Package 1:openssl-devel-1.0.1e-37.fc20.1.x86_64 already installed and latest version
Package 1:pkgconfig-0.28-3.fc20.x86_64 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package alsa-lib-devel.i686 0:1.0.27.2-2.fc20 will be installed
---> Package alsa-lib-devel.x86_64 0:1.0.27.2-2.fc20 will be installed
---> Package audiofile-devel.i686 1:0.3.6-2.fc20 will be installed
--> Processing Dependency: audiofile = 1:0.3.6-2.fc20 for package: 1:audiofile-devel-0.3.6-2.fc20.i686
--> Processing Dependency: libaudiofile.so.1 for package: 1:audiofile-devel-0.3.6-2.fc20.i686
---> Package audiofile-devel.x86_64 1:0.3.6-2.fc20 will be installed
---> Package bison.x86_64 0:2.7-3.fc20 will be installed
--> Processing Dependency: m4 >= 1.4 for package: bison-2.7-3.fc20.x86_64
---> Package cups-devel.i686 1:1.7.2-1.fc20 will be installed
--> Processing Dependency: cups-libs(x86-32) = 1:1.7.2-1.fc20 for package: 1:cups-devel-1.7.2-1.fc20.i686
--> Processing Dependency: libcupsppdc.so.1 for package: 1:cups-devel-1.7.2-1.fc20.i686
--> Processing Dependency: libcupsmime.so.1 for package: 1:cups-devel-1.7.2-1.fc20.i686
--> Processing Dependency: libcupsimage.so.2 for package: 1:cups-devel-1.7.2-1.fc20.i686
--> Processing Dependency: libcupscgi.so.1 for package: 1:cups-devel-1.7.2-1.fc20.i686
--> Processing Dependency: libcups.so.2 for package: 1:cups-devel-1.7.2-1.fc20.i686
---> Package cups-devel.x86_64 1:1.7.2-1.fc20 will be installed
---> Package dbus-devel.i686 1:1.6.12-8.fc20 will be installed
---> Package dbus-devel.x86_64 1:1.6.12-8.fc20 will be installed
---> Package flex.x86_64 0:2.5.37-4.fc20 will be installed
---> Package fontconfig-devel.i686 0:2.11.0-1.fc20 will be installed
--> Processing Dependency: pkgconfig(expat) for package: fontconfig-devel-2.11.0-1.fc20.i686
---> Package fontconfig-devel.x86_64 0:2.11.0-1.fc20 will be installed
---> Package fontforge.x86_64 0:20120731b-10 ...
(more)
edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
0

answered 2014-05-20 14:44:07 -0500

yum install wine should install wine and resolve package dependencies automatically. It looks like you're installing devel packages to build wine locally instead - there is an easier way to get build dependencies:

yum-builddep wine

edit flag offensive delete link more
0

answered 2014-05-19 19:05:30 -0500

kx4kx gravatar image

updated 2014-05-20 13:26:10 -0500

To uninstall Wine. Use

sudo yum remove wine

To install Wine latest, go to this link, instructions are very detailed. I will take about half an hour to complete all tasks dependant on your connection download speed. Take note of the different commands for 32 or 64 bit system.

link to installation instructions==> https://ask.fedoraproject.org/en/question/23408/uninstall-wine/

The instructions are very detailed but easy to follow. You will need to read the entire set of instructions and be sure you system has the necessary packages to complete the installation. Check for dependencies not included in Wine.

Hope this helps.

Now that you have uninstalled wine. Go through these steps to RE-install. Pay close attention to the instructions for Wine for 64 bit OSes.

Go to this link for specific step-by-step instructions to install the Wine package. Please note the date of publication for these instructions is only 6 days old, very recent information, so this should work well to provide your desired result.

http://tecadmin.net/steps-install-wine-centos-rhel-fedora-systems/

edit flag offensive delete link more

Comments

Please check the latter part of my answer just edited with instructions on installing Wine.

kx4kx gravatar imagekx4kx ( 2014-05-20 13:26:58 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2014-05-19 17:22:14 -0500

Seen: 2,777 times

Last updated: May 20 '14